< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package mongo
  Definition Classes
    hmrc
-  package test
  Definition Classes
    mongo
- CleanMongoCollectionSupport
- DefaultMongoCollectionSupport
- IndexedMongoQueriesSupport
- MongoCollectionSupport
- MongoSupport

t

uk.gov.hmrc.mongo.test

# MongoCollectionSupport 

###

#### trait MongoCollectionSupport extends MongoSupport

Linear Supertypes
MongoSupport, ScalaFutures, Futures, PatienceConfiguration, AbstractPatienceConfiguration, ScaledTimeSpans, AnyRef, Any
Known Subclasses
CleanMongoCollectionSupport, DefaultMongoCollectionSupport, IndexedMongoQueriesSupport
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. MongoCollectionSupport
2. MongoSupport
3. ScalaFutures
4. Futures
5. PatienceConfiguration
6. AbstractPatienceConfiguration
7. ScaledTimeSpans
8. AnyRef
9. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1.  trait FutureConcept[T] extends AnyRef
   Definition Classes
     Futures
2.  final case class PatienceConfig extends Product with Serializable
   Definition Classes
     AbstractPatienceConfiguration

### Abstract Value Members

1.  abstract def collectionName: String
   Attributes
     protected
2.  abstract def indexes: Seq[IndexModel]
   Attributes
     protected

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native()
6.  implicit def convertScalaFuture[T](scalaFuture: Future[T]): FutureConcept[T]
   Definition Classes
     ScalaFutures
7.  def count(): Future[Long]
   Attributes
     protected
8.  def createCollection(): Unit
   Attributes
     protected
9.  def createIndexes(): Seq[String]
   Attributes
     protected
10.  val databaseName: String
    Attributes
      protected
    Definition Classes
      MongoSupport
11.  def dropCollection(): Unit
    Attributes
      protected
12.  def dropDatabase(): Unit
    Attributes
      protected
    Definition Classes
      MongoSupport
13.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
15.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
16.  def find(filter: Bson): Future[Seq[Document]]
    Attributes
      protected
17.  def findAll(): Future[Seq[Document]]
    Attributes
      protected
18.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
19.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
20.  def insert[T](document: Document): Future[Completed]
    Attributes
      protected
21.  def interval(value: Span): Interval
    Definition Classes
      PatienceConfiguration
22.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
23.  lazy val mongoClient: MongoClient
    Attributes
      protected
    Definition Classes
      MongoSupport
24.  lazy val mongoCollection: MongoCollection[Document]
    Attributes
      protected
25.  lazy val mongoComponent: MongoComponent
    Attributes
      protected
    Definition Classes
      MongoSupport
26.  lazy val mongoDatabase: MongoDatabase
    Attributes
      protected
    Definition Classes
      MongoSupport
27.  val mongoUri: String
    Attributes
      protected
    Definition Classes
      MongoSupport
28.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
29.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
30.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
31.  implicit def patienceConfig: PatienceConfig
    Definition Classes
      PatienceConfiguration → AbstractPatienceConfiguration
32.  def prepareDatabase(): Unit
    Attributes
      protected
    Definition Classes
      MongoCollectionSupport → MongoSupport
33.  final def scaled(span: Span): Span
    Definition Classes
      ScaledTimeSpans
34.  def spanScaleFactor: Double
    Definition Classes
      ScaledTimeSpans
35.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
36.  def timeout(value: Span): Timeout
    Definition Classes
      PatienceConfiguration
37.  def toString(): String
    Definition Classes
      AnyRef → Any
38.  def updateIndexPreference(onlyAllowIndexedQuery: Boolean): Future[Boolean]
    Attributes
      protected
    Definition Classes
      MongoSupport
39.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
40.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
41.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
42.  final def whenReady[T, U](future: FutureConcept[T])(fun: (T) ⇒ U)(implicit config: PatienceConfig, pos: Position): U
    Definition Classes
      Futures
43.  final def whenReady[T, U](future: FutureConcept[T], interval: Interval)(fun: (T) ⇒ U)(implicit config: PatienceConfig, pos: Position): U
    Definition Classes
      Futures
44.  final def whenReady[T, U](future: FutureConcept[T], timeout: Timeout)(fun: (T) ⇒ U)(implicit config: PatienceConfig, pos: Position): U
    Definition Classes
      Futures
45.  final def whenReady[T, U](future: FutureConcept[T], timeout: Timeout, interval: Interval)(fun: (T) ⇒ U)(implicit config: PatienceConfig, pos: Position): U
    Definition Classes
      Futures

### Inherited from MongoSupport

### Inherited from ScalaFutures

### Inherited from Futures

### Inherited from PatienceConfiguration

### Inherited from AbstractPatienceConfiguration

### Inherited from ScaledTimeSpans

### Inherited from AnyRef

### Inherited from Any

### Ungrouped